Bug 1865071 - nomacs: FTBFS in Fedora rawhide/f33
Summary: nomacs: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nomacs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-08-03 20:29 UTC by Fedora Release Engineering
Modified: 2020-08-16 01:04 UTC (History)
1 user (show)

Fixed In Version: nomacs-3.16-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-09 10:38:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2020-08-03 20:29 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 20:29 UTC, Fedora Release Engineering
no flags Details
state.log (820 bytes, text/plain)
2020-08-03 20:29 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 20:29:17 UTC
nomacs failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=48346745


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix nomacs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nomacs will be orphaned. Before branching of Fedora 34,
nomacs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 20:29:18 UTC
Created attachment 1708404 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 20:29:19 UTC
Created attachment 1708405 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 20:29:20 UTC
Created attachment 1708406 [details]
state.log

Comment 4 Fedora Update System 2020-08-07 13:30:29 UTC
FEDORA-2020-72acb47866 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-72acb47866

Comment 5 Fedora Update System 2020-08-08 01:21:32 UTC
FEDORA-2020-72acb47866 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-72acb47866`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-72acb47866

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Igor Raits 2020-08-09 10:38:34 UTC
There has been at least one successfull build after mass rebuild.

nomacs-3.16-1.fc33: https://koji.fedoraproject.org/koji/buildinfo?buildID=1586662

Comment 7 Fedora Update System 2020-08-16 01:04:46 UTC
FEDORA-2020-72acb47866 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.